aboutsummaryrefslogtreecommitdiffstats
path: root/testing/notmuch/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-08-15 12:46:39 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-08-15 12:47:08 +0200
commit544f80ff2dfc180adc416989e16f5f29f9484d8a (patch)
tree72c98dcee67968c5b00ab6b9ba84de743ee1b3ee /testing/notmuch/APKBUILD
parent140745f2f4ae3fcdb9cd068fabd9d8b6f6ab21f9 (diff)
downloadaports-544f80ff2dfc180adc416989e16f5f29f9484d8a.tar.gz
aports-544f80ff2dfc180adc416989e16f5f29f9484d8a.tar.bz2
aports-544f80ff2dfc180adc416989e16f5f29f9484d8a.tar.xz
testing/notmuch: upgrade to 0.22.1
Also add bash and zsh completion subpackages.
Diffstat (limited to 'testing/notmuch/APKBUILD')
-rw-r--r--testing/notmuch/APKBUILD50
1 files changed, 43 insertions, 7 deletions
diff --git a/testing/notmuch/APKBUILD b/testing/notmuch/APKBUILD
index a591f2025d..213c74e5a8 100644
--- a/testing/notmuch/APKBUILD
+++ b/testing/notmuch/APKBUILD
@@ -1,20 +1,34 @@
# Contributor: Stefan Wagner <stw@bit-strickerei.de>
# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
pkgname=notmuch
-pkgver=0.22
+pkgver=0.22.1
pkgrel=0
pkgdesc="E-Mail index, search and tagging"
url="https://notmuchmail.org/"
arch="all"
license="GPL3"
-makedepends="gzip xapian-core-dev gmime-dev talloc-dev py-sphinx"
-subpackages="$pkgname-dev $pkgname-doc"
+makedepends="gzip xapian-core-dev gmime-dev talloc-dev
+ py-sphinx bash-completion"
+subpackages="
+ $pkgname-dev
+ $pkgname-doc
+ $pkgname-zsh-completion:zshcomp
+ $pkgname-bash-completion:bashcomp"
source="https://notmuchmail.org/releases/$pkgname-$pkgver.tar.gz"
builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$builddir"
- ./configure --prefix=/usr || return 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --bashcompletiondir=/usr/share/bash-completion/completions \
+ --zshcompletiondir=/usr/share/zsh/site-functions \
+ || return 1
make PREFIX=/usr DESTDIR="$pkgdir"
}
@@ -23,6 +37,28 @@ package() {
make PREFIX=/usr DESTDIR="$pkgdir" install
}
-md5sums="d4f604b82eeed216ed0cf14814b56d14 notmuch-0.22.tar.gz"
-sha256sums="d64118ef926ba06fba814a89a75d20b0c8c8ec07dd65e41bb9f1e9db0dcfb99a notmuch-0.22.tar.gz"
-sha512sums="0fd3860b4bce0fbf2648046a68b92d23d73604e82e05ee1b5913fc82985e67225b0f3a0977f71ad5251e7714a7111e8fd84ae0347f33475dddd8eb8d00fd2ed6 notmuch-0.22.tar.gz"
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+ mv "$pkgdir"/usr/share/bash-completion/completions/$pkgname \
+ "$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+zshcomp() {
+ depends=""
+ pkgdesc="Zsh completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel zsh"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/zsh/site-functions/
+ mv "$pkgdir"/usr/share/zsh/site-functions/_${pkgname} \
+ "$subpkgdir"/usr/share/zsh/site-functions/ || return 1
+}
+
+md5sums="5093abaca53f3690f091022eb9a75d8a notmuch-0.22.1.tar.gz"
+sha256sums="e739457794f3c2b363beffa3ed9e8a2786921031c80672f5b06d0880876a974b notmuch-0.22.1.tar.gz"
+sha512sums="b28ee8aa5af7172664ebc4d50c8830e645ad3e4945f5d162e44b627f3344de71b7525a444ae08f1c0650a7f94071f54cebcf3494214df80452b6ca954818deb9 notmuch-0.22.1.tar.gz"